PRETTY-HAT(1)

NAME
pretty-hat - Produce a simplified graph of the trace file.

SYNOPSIS
pretty-hat prog [-d] [-x]

DESCRIPTION
pretty-hat is a tool for visualising the hat trace file for a program prog supplied as its argument. The tool outputs a .dot file representing the trace. This file should then be proccessed with the dotty graph layout program to produce a final result.

OPTIONS

-d  The tool should label nodes with the decimal value of their offset in the hat trace file

-x  The tool should label nodes with the hexadecimal value of their offset in the hat trace file

FILES

/usr/local/bin/pretty-hat

SEE ALSO
hmake(1), hat-trans(1), hat-detect(1) hat-stack(1), hat-observe(1), hat-trail(1)